Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TPort

    java.lang.Object
      org.apache.cxf.wsdl.TDocumented
          org.apache.cxf.wsdl.TExtensibleDocumented
              org.apache.cxf.wsdl.TPort

    public class TPort

extends TExtensibleDocumented

Java class for tPort complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tPort">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tExtensibleDocumented">
           <attribute name="binding" use="required" type="{http://www.w3.org/2001/XMLSchema}QName" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" />
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected javax.xml.namespace.QName` | `binding`
`protected java.lang.String` | `name`

Fields inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`any`

Fields inherited from class org.apache.cxf.wsdl.TDocumented
`documentation`

Constructor Summary
`TPort()`

Method Summary
`javax.xml.namespace.QName` | `getBinding()` Gets the value of the binding property.
`java.lang.String` | `getName()` Gets the value of the name property.
`boolean` | `isSetBinding()`
`boolean` | `isSetName()`
`void` | `setBinding(javax.xml.namespace.QName value)` Sets the value of the binding property.
`void` | `setName(java.lang.String value)` Sets the value of the name property.

Methods inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`getAny, isSetAny, unsetAny`

Methods inherited from class org.apache.cxf.wsdl.TDocumented
`getDocumentation, isSetDocumentation, setDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### binding

    protected javax.xml.namespace.QName binding

### name

    protected java.lang.String name

Constructor Detail

### TPort

    public TPort()

Method Detail

### getBinding

    public javax.xml.namespace.QName getBinding()

  Gets the value of the binding property.

  Returns:
    possible object is `QName`

### setBinding

    public void setBinding(javax.xml.namespace.QName value)

  Sets the value of the binding property.

  Parameters:
    `value` - allowed object is `QName`

### isSetBinding

    public boolean isSetBinding()

### getName

    public java.lang.String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(java.lang.String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isSetName

    public boolean isSetName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF